require "spec_helper"

describe Dropbox::Explorer::Credentials do
  describe "#parse!" do
    let(:access_type) { :dropbox }
    let(:path) { File.join(Bundler.root, "spec/config/#{access_type}.yml") }

    it "parses dropbox credentials" do
      credentials = Dropbox::Explorer::Credentials.new(access_type: access_type, config_path: path)
      expect(credentials.parse!).to eq CREDENTIALS[:dropbox]
    end

    it "fails to parse dropbox credentials" do
      credentials = Dropbox::Explorer::Credentials.new(access_type: access_type)
      expect{credentials.parse!}.to raise_error(ArgumentError)
    end
  end
end
