require "spec_helper"
require "yaml"
require "json"
require "active_support/core_ext/hash/keys"

describe Dropbox::Explorer::Folder do
  describe "#get_contents_paths" do
    let(:path) { File.join(Bundler.root, "spec/fixtures/vcr_cassettes/Dropbox_Explorer_Client/_list_files/returns_list_of_files_in_folder.yml") }
    let(:folder_metadata) { YAML.load(File.read(path))['http_interactions'][0]['response']['body']['string'] }

    it "returns list of files from folder metadata" do
      files = Dropbox::Explorer::Folder.new(JSON.parse(folder_metadata)).get_contents_paths(only_files: true)
      expect(files).to be_a Array
    end

    it "returns list of files and folders from folder metadata" do
      files = Dropbox::Explorer::Folder.new(JSON.parse(folder_metadata)).get_contents_paths
      expect(files).to be_a Array
    end
  end
end
